<!-- log-reg-sec starts -->
<ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }"></ngx-loading>
<section class="log-reg-sec">
    <div class="container">
        <div class="log-outer">
            <h2>Create a New Account</h2>
            <div class="row">
                <div class="col-lg-4 col-md-6  col-12 offset-lg-1 offset-md-0">
                    <div class="log-box box-bl">
                        <h3>Register with Facebook</h3>
                        <a href=""><span><img src="assets/images/fb.png"></span>
                            <span class="register-with-fb-text">Register with Facebook</span></a>
                    </div>
                </div>

                <div class="col-lg-5 col-md-6  col-12 offset-lg-1 offset-md-0">
                    <div class="log-box box-br">
                        <h3>Register using your email</h3>
                        <form [formGroup]="signUpForm">
                            <div class="form-group">
                                <input type="email" formControlName="email" class="form-control" aria-describedby="emailHelp" placeholder="Email" [ngClass]="{ 'is-invalid': (signUpForm.controls.email.touched || signUpSubmitted) && signUpForm.controls.email.errors }">
                                <p class="error_module" *ngIf="signUpForm.controls.email.touched || signUpSubmitted">
                                    <app-form-validation-errors errorPrefix="Email " [errors]="signUpForm.controls.email.errors"></app-form-validation-errors>
                                </p>
                            </div>
                            <div class="form-group">
                                <input type="password" formControlName="password" class="form-control" placeholder="Password" [ngClass]="{ 'is-invalid': (signUpForm.controls.password.touched || signUpSubmitted) && signUpForm.controls.password.errors }">
                                <p class="error_module" *ngIf="signUpForm.controls.password.touched || signUpSubmitted">
                                    <app-form-validation-errors [isPassword]=true minLength=8 maxLength=50 errorPrefix="Password " [errors]="signUpForm.controls.password.errors"></app-form-validation-errors>
                                </p>
                            </div>
                            <button type="submit" (click)="validateSignUpForm()" class="btn btn-primary" [disabled]="signUpForm.invalid">REGISTER ACCOUNT</button>
                        </form>
                    </div>
                </div>

            </div>
            <div class="already-account log-box">
                <h3>Already have an account?</h3>
                <a routerLink="/user/login" [queryParams]="{returnToUrl: returnToUrl}">Login</a>
            </div>
        </div>
    </div>
</section>
<!-- log-reg-sec  ends -->